wreport::error Class Referenceabstract

Base class for DB-All.e exceptions. More...

`#include <error.h>`

Inheritance diagram for wreport::error:

## Public Member Functions

virtual ErrorCode | code () const noexcept=0
| Exception-specific error code.
virtual const char * | what () const noexcept=0
| Error message.

## Static Public Member Functions

static const char * | strerror (ErrorCode code)
| String description for an error code.

## Detailed Description

Base class for DB-All.e exceptions.

## Member Function Documentation

## code()

virtual ErrorCode wreport::error::code | ( |  | ) | const

pure virtual noexcept

Exception-specific error code.

This is useful to map C++ exceptions to C or Fortran error codes

Implemented in wreport::error_alloc, wreport::errors::StringBase< ERROR_CODE >, wreport::errors::StringBase< WR_ERR_CONSISTENCY >, wreport::errors::StringBase< WR_ERR_DOMAIN >, wreport::errors::StringBase< WR_ERR_HANDLES >, wreport::errors::StringBase< WR_ERR_NOTFOUND >, wreport::errors::StringBase< WR_ERR_PARSE >, wreport::errors::StringBase< WR_ERR_REGEX >, wreport::errors::StringBase< WR_ERR_SYSTEM >, wreport::errors::StringBase< WR_ERR_TOOLONG >, wreport::errors::StringBase< WR_ERR_TYPE >, and wreport::errors::StringBase< WR_ERR_UNIMPLEMENTED >.

Referenced by strerror().

## what()

virtual const char * wreport::error::what | ( |  | ) | const

pure virtual noexcept

Error message.

Implemented in wreport::error_alloc, wreport::errors::StringBase< ERROR_CODE >, wreport::errors::StringBase< WR_ERR_CONSISTENCY >, wreport::errors::StringBase< WR_ERR_DOMAIN >, wreport::errors::StringBase< WR_ERR_HANDLES >, wreport::errors::StringBase< WR_ERR_NOTFOUND >, wreport::errors::StringBase< WR_ERR_PARSE >, wreport::errors::StringBase< WR_ERR_REGEX >, wreport::errors::StringBase< WR_ERR_SYSTEM >, wreport::errors::StringBase< WR_ERR_TOOLONG >, wreport::errors::StringBase< WR_ERR_TYPE >, and wreport::errors::StringBase< WR_ERR_UNIMPLEMENTED >.

References what().

Referenced by what().

The documentation for this class was generated from the following file:

- error.h